# Yahoo! UI Library

### charts 3.3.0

Yahoo! UI Library > charts > LineSeries
Search:
Filters Show Private Show Protected Show Deprecated

## Class LineSeries - extends CartesianSeries - uses Lines

Known Subclasses:
  StackedLineSeries

The LineSeries class renders quantitative data on a graph by connecting relevant data points.

### Constructor

LineSeries `( )`

#### Properties inherited from Plugin.Host:

`PluginHost`

#### Properties inherited from Attribute:

``

#### Properties inherited from Lines:

`_lineDefaults`

#### Properties inherited from CartesianSeries:

`_bottomOrigin, _defaultBorderColors, _defaultFillColors, _defaultLineColors, _defaultPlaneOffset, _defaultSliceColors, _leftOrigin, _xDisplayName, _yDisplayName, GUID`

#### Properties inherited from Base:

`name`

#### Properties inherited from Renderer:

`_styles`

### Methods

#### _getDefaultStyles

`protected _getDefaultStyles ( )`
Gets the default value for the `styles` attribute. Overrides base implementation.

Returns: ``
  Object

#### _setStyles

`protected _setStyles ( newStyles )`
Method used by `styles` setter. Overrides base implementation.

Parameters:
  `newStyles <Object>` Hash of properties to update.

Returns: ``
  Object

#### drawSeries

`protected void drawSeries ( )`

#### Methods inherited from Plugin.Host:

`_destroyPlugins, _initPlugins, hasPlugin, plug, unplug`

#### Methods inherited from Attribute:

`_addAttrs, _addLazyAttr, _defAttrChangeFn, _fireAttrChange, _getAttr, _getAttrCfg, _getAttrInitVal, _getAttrs, _getStateVal, _isLazyAttr, _normAttrVals, _protectAttrs, _set, _setAttr, _setAttrs, _setAttrVal, _setStateVal, addAttr, addAttrs, attrAdded, get, getAttrs, modifyAttr, removeAttr, reset, set, setAttrs`

#### Methods inherited from Lines:

`_getGraphic, _getLineDefaults, drawDashedLine, drawLines, drawSpline`

#### Methods inherited from EventTarget:

`_getType, _monitor, _parseType, addTarget, after, before, bubble, detach, detachAll, fire, getEvent, getTargets, on, once, parseType, publish, removeTarget, subscribe, unsubscribe, unsubscribeAll`

#### Methods inherited from CartesianSeries:

`_getDefaultColor, _getDefaultStyles, _setCanvas, _toggleVisible, _updateAxisData, _xAxisChangeHandler, _xDataChangeHandler, _yAxisChangeHandler, _yDataChangeHandler, addListeners, draw, render, setAreaData, validate`

#### Methods inherited from Base:

`_aggregateAttrs, _defDestroyFn, _defInitFn, _destroyHierarchy, _filterAttrCfs, _getAttrCfgs, _getClasses, _initHierarchy, _initHierarchyData, _preInitEventCfg, destroy, init, toString`

#### Methods inherited from Renderer:

`_getDefaultStyles, _mergeStyles, _setStyles`

### Events

#### stylesChange

`stylesChange ( event )`
Fires when the value for the configuration attribute 'styles' is changed. You can listen for the event using the on method if you wish to be notified before the attribute's value has changed, or using the after method if you wish to be notified after the attribute's value has changed.

Parameters:
  `event <Event.Facade>` An Event Facade object with the following attribute specific properties added:
  prevVal
    The value of the attribute, prior to it being set
  newVal
    The value the attribute is to be set to
  attrName
    The name of the attribute being set
  subAttrName
    If setting a property within the attribute's value, the name of the sub-attribute property being set

#### typeChange

`typeChange ( event )`
Fires when the value for the configuration attribute 'type' is changed. You can listen for the event using the on method if you wish to be notified before the attribute's value has changed, or using the after method if you wish to be notified after the attribute's value has changed.

Parameters:
  `event <Event.Facade>` An Event Facade object with the following attribute specific properties added:
  prevVal
    The value of the attribute, prior to it being set
  newVal
    The value the attribute is to be set to
  attrName
    The name of the attribute being set
  subAttrName
    If setting a property within the attribute's value, the name of the sub-attribute property being set

#### Events inherited from CartesianSeries:

`categoryDisplayNameChange, directionChange, graphChange, graphOrderChange, heightChange, orderChange, renderedChange typeChange valueDisplayNameChange visibleChange xAxisChange xcoordsChange xDataChange xDisplayNameChange xKeyChange xMarkerPlaneChange xMarkerPlaneOffsetChange yAxisChange ycoordsChange yDataChange yDisplayNameChange yKeyChange yMarkerPlaneChange yMarkerPlaneOffsetChange`

#### Events inherited from Base:

`destroy, destroyedChange, init, initializedChange,`

#### Events inherited from Renderer:

`graphicChange, stylesChange`

### Configuration Attributes

#### styles `- Object`

Style properties used for drawing lines. This attribute is inherited from `Renderer`. Below are the default values:

color
  The color of the line. The default value is determined by the order of the series on the graph. The color will be retrieved from the following array: `["#426ab3", "#d09b2c", "#000000", "#b82837", "#b384b5", "#ff7200", "#779de3", "#cbc8ba", "#7ed7a6", "#007a6c"]`
weight
  Number that indicates the width of the line. The default value is 6.
alpha
  Number between 0 and 1 that indicates the opacity of the line. The default value is 1.
lineType
  Indicates whether the line is solid or dashed. The default value is solid.
dashLength
  When the `lineType` is dashed, indicates the length of the dash. The default value is 10.
gapSpace
  When the `lineType` is dashed, indicates the distance between dashes. The default value is 10.
connectDiscontinuousPoints
  Indicates whether or not to connect lines when there is a missing or null value between points. The default value is true.
discontinuousType
  Indicates whether the line between discontinuous points is solid or dashed. The default value is solid.
discontinuousDashLength
  When the `discontinuousType` is dashed, indicates the length of the dash. The default value is 10.
discontinuousGapSpace
  When the `discontinuousType` is dashed, indicates the distance between dashes. The default value is 10.

#### type `- String`

Read-only attribute indicating the type of series.
Default Value: line

#### Configuration attributes inherited from CartesianSeries:

`categoryDisplayName, direction, graph, graphOrder, height, order, rendered, type, valueDisplayName, visible, xAxis, xcoords xData xDisplayName xKey xMarkerPlane xMarkerPlaneOffset yAxis ycoords yData yDisplayName yKey yMarkerPlane yMarkerPlaneOffset`

#### Configuration attributes inherited from Base:

`destroyed initialized`

#### Configuration attributes inherited from Renderer:

`graphic styles`

Copyright © 2011 Yahoo! Inc. All rights reserved.